> ## Documentation Index
> Fetch the complete documentation index at: https://docs.p2p.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Transaction Status

> Check the status of the transaction.



## OpenAPI

````yaml GET /api/v1/sei/{network}/transaction/status/{transactionHash}
openapi: 3.0.0
info:
  title: Staking API
  description: API used for staking
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.p2p.org/api
security:
  - bearer: []
tags:
  - name: Aptos
    description: Aptos staking operations (stake, unstake, withdraw, claim).
  - name: Celestia
    description: Celestia staking operations (stake, unstake, redelegate, claim).
  - name: Cosmos
    description: Cosmos Hub staking operations (stake, unstake, redelegate, claim).
  - name: EigenLayer
    description: EigenLayer restaking operations.
  - name: Ethereum
    description: Ethereum staking operations (direct, SSV, pooled).
  - name: Hyperliquid
    description: Hyperliquid staking operations.
  - name: Monad
    description: Monad staking operations (delegate, undelegate, withdraw).
  - name: P2P SSV
    description: P2P-managed SSV validator operations (deposit, claim, withdraw).
  - name: Polkadot
    description: Polkadot staking and nomination pool operations.
  - name: Polygon
    description: Polygon staking operations.
  - name: Pooled Staking
    description: Pooled staking vault operations (deposit, unstake, withdraw).
  - name: Sei
    description: Sei staking operations (stake, unstake, redelegate, claim).
  - name: Solana
    description: Solana staking operations (stake, split, merge, deactivate, withdraw).
  - name: SSV
    description: SSV network validator operations.
  - name: Story
    description: Story network staking operations.
  - name: Sui
    description: Sui staking operations.
  - name: TON
    description: TON staking operations (single nominator, whales pool).
  - name: TRON
    description: TRON staking operations (freeze, delegate, vote, withdraw).
  - name: Unified
    description: Unified multi-chain staking interface.
paths:
  /api/v1/sei/{network}/transaction/status/{transactionHash}:
    get:
      tags:
        - Sei
      summary: Get Transaction Status
      description: Check the status of the transaction.
      operationId: get-sei-transaction-status
      parameters:
        - name: network
          required: true
          in: path
          description: >-
            <p>Sei network:</p><ul><li>`pacific-1` — Sei
            mainnet.</li><li>`atlantic-2` — Sei testnet.</li></ul>
          schema:
            enum:
              - pacific-1
              - atlantic-2
            type: string
        - name: transactionHash
          required: true
          in: path
          schema:
            type: string
            pattern: ^(0x)?[0-9a-fA-F]{64}$
          description: EVM transaction hash (0x-prefixed or bare 64 hex chars).
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessResponse'
                  - type: object
                    properties:
                      result:
                        $ref: '#/components/schemas/SeiTransactionStatusResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ExceptionResponse'
                  - type: object
                    properties:
                      error:
                        oneOf:
                          - $ref: '#/components/schemas/CommonValidationException'
                          - $ref: >-
                              #/components/schemas/CosmosTransactionNotFoundException
                          - $ref: >-
                              #/components/schemas/CosmosInvalidTransactionHashException
                          - $ref: >-
                              #/components/schemas/CosmosCommonCosmosNetworkIsNotIncludedInListException
              examples:
                ValidationException:
                  value:
                    error:
                      code: 100101
                      message: >-
                        The data provided is not valid. Please check the request
                        parameters and try again.
                      name: ValidationException
                      type: client
                    result: null
                TransactionNotFoundException:
                  value:
                    error:
                      code: 110107
                      message: >-
                        The transaction could not be found. Please specify the
                        correct transaction data.
                      name: TransactionNotFoundException
                      type: client
                    result: null
                InvalidTransactionHashException:
                  value:
                    error:
                      code: 110111
                      message: >-
                        The transaction status could not be obtained because the
                        transaction hash provided is invalid. Please check the
                        transaction hash satisfies the regular expression
                        undefined format and try again.
                      name: InvalidTransactionHashException
                      type: client
                    result: null
                CommonCosmosNetworkIsNotIncludedInListException:
                  value:
                    error:
                      code: 100101
                      message: >-
                        The request could not be performed because the network
                        provided is not supported. Please specify the network
                        from the list of available ones: undefined.
                      name: CommonCosmosNetworkIsNotIncludedInListException
                      type: client
                    result: null
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ExceptionResponse'
                  - type: object
                    properties:
                      error:
                        oneOf:
                          - $ref: '#/components/schemas/AuthNoTokenException'
                          - $ref: '#/components/schemas/AuthWrongTokenException'
              examples:
                NoTokenException:
                  value:
                    error:
                      code: 101111
                      message: >-
                        No Bearer token has been provided. To obtain an
                        authentication token, follow the instructions at
                        https://docs.p2p.org/docs/authentication.
                      name: NoTokenException
                      type: authentication
                    result: null
                WrongTokenException:
                  value:
                    error:
                      code: 101109
                      message: >-
                        An invalid Bearer token has been provided. Please
                        specify the correct authentication token.
                      name: WrongTokenException
                      type: authentication
                    result: null
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ExceptionResponse'
                  - type: object
                    properties:
                      error:
                        $ref: >-
                          #/components/schemas/CosmosGetTransactionStatusFailedException
              examples:
                GetTransactionStatusFailedException:
                  value:
                    error:
                      code: 110108
                      message: >-
                        The transaction status could not be obtained because the
                        internal server error occurred.
                      name: GetTransactionStatusFailedException
                      type: server
                    result: null
      security:
        - bearer: []
components:
  schemas:
    SuccessResponse:
      type: object
      properties:
        error:
          type: object
          nullable: true
          default: null
          description: Error object. Always null on successful responses.
        result:
          type: object
          description: Response payload containing the requested data.
      description: Standard API success response envelope wrapping the result payload.
      required:
        - error
        - result
    SeiTransactionStatusResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
            - failed
          description: Transaction status.
          readOnly: true
        blockId:
          type: integer
          format: int64
          description: >-
            Unique identifier of the block in which the transaction has been
            included.
        fee:
          type: number
          format: double
          description: Total fee in SEI charged for processing the transaction.
        gas:
          description: >-
            Computational effort required to execute the transaction measured in
            gas units.
          allOf:
            - $ref: '#/components/schemas/SeiEvmGas'
        transactionHash:
          type: string
          pattern: ^0x[0-9a-fA-F]{64}$
          description: EVM hash of the transaction (0x-prefixed 64 hex chars).
          readOnly: true
      required:
        - status
        - blockId
        - fee
        - gas
        - transactionHash
    ExceptionResponse:
      type: object
      properties:
        error:
          type: object
          description: Error object containing exception details. Null on success.
        result:
          type: object
          nullable: true
          default: null
          description: Result payload. Always null on error responses.
        requestId:
          type: string
          description: >-
            Identifier of the request (the `x-request-id` header). Quote this
            value to correlate the response with server logs.
          example: 90c16e9e-6e99-4651-a033-60290356df2f
        timestamp:
          type: string
          format: date-time
          description: ISO 8601 timestamp of when the error response was generated.
          example: '2026-05-20T22:29:03.126Z'
      description: Standard API error response envelope wrapping the exception details.
      required:
        - error
        - result
        - timestamp
    CommonValidationException:
      type: object
      properties:
        type:
          type: string
          default: client
          example: client
          description: Exception category.
        code:
          type: integer
          format: int32
          default: 100101
          example: 100101
          description: Numeric error code identifying the exception type.
        message:
          type: string
          default: >-
            The data provided is not valid. Please check the request parameters
            and try again.
          example: >-
            The data provided is not valid. Please check the request parameters
            and try again.
          description: Human-readable error message describing what went wrong.
        errors:
          description: Validation error details when applicable.
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorResponse'
        name:
          type: string
          default: ValidationException
          example: ValidationException
          description: Exception class name for runtime error identification.
      required:
        - type
        - code
        - message
        - errors
        - name
    CosmosTransactionNotFoundException:
      type: object
      properties:
        type:
          type: string
          default: client
          example: client
          description: Exception category.
        code:
          type: integer
          format: int32
          default: 110107
          example: 110107
          description: Numeric error code identifying the exception type.
        message:
          type: string
          default: >-
            The transaction could not be found. Please specify the correct
            transaction data.
          example: >-
            The transaction could not be found. Please specify the correct
            transaction data.
          description: Human-readable error message describing what went wrong.
        name:
          type: string
          default: TransactionNotFoundException
          example: TransactionNotFoundException
          description: Exception class name for runtime error identification.
      required:
        - type
        - code
        - message
        - name
    CosmosInvalidTransactionHashException:
      type: object
      properties:
        type:
          type: string
          default: client
          example: client
          description: Exception category.
        code:
          type: integer
          format: int32
          default: 110111
          example: 110111
          description: Numeric error code identifying the exception type.
        message:
          type: string
          default: >-
            The transaction status could not be obtained because the transaction
            hash provided is invalid. Please check the transaction hash
            satisfies the regular expression /^(0x)?[a-fA-F0-9]{64}$/i format
            and try again.
          example: >-
            The transaction status could not be obtained because the transaction
            hash provided is invalid. Please check the transaction hash
            satisfies the regular expression /^(0x)?[a-fA-F0-9]{64}$/i format
            and try again.
          description: Human-readable error message describing what went wrong.
        name:
          type: string
          default: InvalidTransactionHashException
          example: InvalidTransactionHashException
          description: Exception class name for runtime error identification.
      required:
        - type
        - code
        - message
        - name
    CosmosCommonCosmosNetworkIsNotIncludedInListException:
      type: object
      properties:
        type:
          type: string
          default: client
          example: client
          description: Exception category.
        code:
          type: integer
          format: int32
          default: 115101
          example: 115101
          description: Numeric error code identifying the exception type.
        message:
          type: string
          default: >-
            The request could not be performed because the network provided is
            not supported. Please specify the network from the list of available
            ones: cosmoshub-4, celestia-mainnet-beta, celestia-mocha-testnet,
            pacific-1, atlantic-2.
          example: >-
            The request could not be performed because the network provided is
            not supported. Please specify the network from the list of available
            ones: cosmoshub-4, celestia-mainnet-beta, celestia-mocha-testnet,
            pacific-1, atlantic-2.
          description: Human-readable error message describing what went wrong.
        name:
          type: string
          default: CommonCosmosNetworkIsNotIncludedInListException
          example: CommonCosmosNetworkIsNotIncludedInListException
          description: Exception class name for runtime error identification.
      required:
        - type
        - code
        - message
        - name
    AuthNoTokenException:
      type: object
      properties:
        type:
          type: string
          default: authentication
          example: authentication
          description: Exception category.
        code:
          type: integer
          format: int32
          default: 101111
          example: 101111
          description: Numeric error code identifying the exception type.
        message:
          type: string
          default: >-
            No Bearer token has been provided. To obtain an authentication
            token, follow the instructions at
            https://docs.p2p.org/docs/authentication.
          example: >-
            No Bearer token has been provided. To obtain an authentication
            token, follow the instructions at
            https://docs.p2p.org/docs/authentication.
          description: Human-readable error message describing what went wrong.
        name:
          type: string
          default: NoTokenException
          example: NoTokenException
          description: Exception class name for runtime error identification.
      required:
        - type
        - code
        - message
        - name
    AuthWrongTokenException:
      type: object
      properties:
        type:
          type: string
          default: authentication
          example: authentication
          description: Exception category.
        code:
          type: integer
          format: int32
          default: 101109
          example: 101109
          description: Numeric error code identifying the exception type.
        message:
          type: string
          default: >-
            An invalid Bearer token has been provided. Please specify the
            correct authentication token.
          example: >-
            An invalid Bearer token has been provided. Please specify the
            correct authentication token.
          description: Human-readable error message describing what went wrong.
        name:
          type: string
          default: WrongTokenException
          example: WrongTokenException
          description: Exception class name for runtime error identification.
      required:
        - type
        - code
        - message
        - name
    CosmosGetTransactionStatusFailedException:
      type: object
      properties:
        type:
          type: string
          default: server
          example: server
          description: Exception category.
        code:
          type: integer
          format: int32
          default: 110108
          example: 110108
          description: Numeric error code identifying the exception type.
        message:
          type: string
          default: >-
            The transaction status could not be obtained because the internal
            server error occurred.
          example: >-
            The transaction status could not be obtained because the internal
            server error occurred.
          description: Human-readable error message describing what went wrong.
        name:
          type: string
          default: GetTransactionStatusFailedException
          example: GetTransactionStatusFailedException
          description: Exception class name for runtime error identification.
      required:
        - type
        - code
        - message
        - name
    SeiEvmGas:
      type: object
      properties:
        used:
          type: number
          format: double
          description: Amount of gas spent for the transaction.
        wanted:
          type: number
          format: double
          description: Gas wanted (mirrors gasUsed — EVM receipts do not expose gas limit).
      required:
        - used
        - wanted
    ValidationErrorResponse:
      type: object
      properties:
        property:
          type: string
          description: Name of the property that failed validation.
        constraints:
          type: object
          additionalProperties:
            type: string
          description: Validation constraint details describing what was expected.
      required:
        - property
        - constraints
  responses:
    TooManyRequests:
      description: >-
        Too Many Requests — the client exceeded its rate limit. The response
        advertises when to retry and the active quota via headers.
      headers:
        Retry-After:
          description: Number of seconds to wait before retrying the request.
          schema:
            type: integer
            example: 60
        RateLimit-Limit:
          description: >-
            The request quota (maximum number of requests) for the most
            restrictive applicable window.
          schema:
            type: integer
            example: 120
        RateLimit-Reset:
          description: >-
            Number of seconds until the rate-limit window resets and requests
            are accepted again.
          schema:
            type: integer
            example: 60
        RateLimit-Policy:
          description: >-
            The active rate-limit policy as `<limit>;w=<window-seconds>`,
            comma-separated when multiple windows apply.
          schema:
            type: string
            example: 120;w=60
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: integer
                  name:
                    type: string
                    example: ThrottlerException
                  message:
                    type: string
                    example: ThrottlerException
                  errors:
                    type: array
                    nullable: true
                    items:
                      type: object
              result:
                type: object
                nullable: true
                example: null
              requestId:
                type: string
                description: >-
                  Identifier of the request (the `x-request-id` header). Quote
                  this value to correlate the response with server logs.
                example: 90c16e9e-6e99-4651-a033-60290356df2f
              timestamp:
                type: string
                format: date-time
                description: ISO 8601 timestamp of when the error response was generated.
                example: '2026-05-20T22:29:03.126Z'
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

## Related topics

- [Check Transaction Status](/reference/get-celestia-transaction-status.md)
- [Check Status Request](/reference/ssv-request-status.md)
- [Get Transaction Status](/reference/tron-transaction-status.md)
